Home / Lua API Manual / types / lua_button
< lua_label
lua_box >

# lua_button

`dt_type`

A clickable button

Attributes:

- has_tostring
- parent : types.lua_widget

# 🔗lua_button.__call

see types.lua_widget.As a function

# 🔗lua_button.extra registration parameters

This widget has no extra registration parameters

# 🔗lua_button.label

`string`

The label displayed on the button

Attributes:

- write

# 🔗lua_button.ellipsize

types.dt_lua_ellipsize_mode_t

The ellipsize mode of the button label

Attributes:

- write

# 🔗lua_button.clicked_callback

    function(
      widget : types.lua_widget
    )

A function to call on button click

- widget - types.lua_widget - The widget that triggered the callback

Attributes:

- write

< lua_label
lua_box >